lib/Tools/scalac
changeset 44950 f60405791a1d
child 45385 7c1375ba1424
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/Tools/scalac	Sat Sep 17 16:29:18 2011 +0200
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+#
+# Author: Makarius
+#
+# DESCRIPTION: invoke Scala compiler within the Isabelle environment
+
+[ -z "$SCALA_HOME" ] && { echo "Unknown SCALA_HOME -- Scala unavailable"; exit 2; }
+
+[ -e "$ISABELLE_HOME/Admin/build" ] && { "$ISABELLE_HOME/Admin/build" jars || exit $?; }
+
+CLASSPATH="$(jvmpath "$CLASSPATH")"
+exec "$SCALA_HOME/bin/scalac" -Dfile.encoding=UTF-8 \
+  "-Djava.ext.dirs=$("$ISABELLE_HOME/lib/scripts/java_ext_dirs")" "$@"